{ flake, ... }:
let
  inherit (flake.config.people) user0;
in
{
  programs.nushell = {
    enable = true;
    configFile.text = ''
      sleep 7ms
      $env.config = {show_banner: false}
      $env.ANTHROPIC_API_KEY = (open /home/${user0}/.config/zed/claude-api-key)
    '';
    shellAliases = {
      y = "yy";
      lg = "lazygit";
      yt = "yt-dlp --embed-chapters";
      ze = "zellij";
    };
  };
}
